Deploy AQS with scap3
Closed, ResolvedPublic1 Story Points

Description

Analytics Query Service is a service exposing the Analytics Team's pageviews API. It is a second RESTBase cluster installation available on aqs100[123]. Deployers have restricted access there (they are only allowed to restart the service as root), but all of the code on the servers is owned by root. That effectively means that they cannot use the Ansible playbook the Services Team is using for deployment.

Therefore, we need to switch them to use Scap ASAP.

mobrovac created this task.Oct 8 2015, 10:27 AM
mobrovac updated the task description. (Show Details)
mobrovac raised the priority of this task from to High.
mobrovac added subscribers: mobrovac, Milimetric, dduvall and 3 others.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 8 2015, 10:27 AM
mmodell set Security to None.Oct 12 2015, 4:13 PM
mmodell edited a custom field.
greg renamed this task from Use Scap3 for deploying AQS to Deploy AQS with scap3.
greg added subscribers: greg, JanZerebecki, hashar.

(Off-topic-ish: There's no AQS project in Phab? Do all development tasks for it live in.... analytics? services? where?)

(Off-topic-ish: There's no AQS project in Phab? Do all development tasks for it live in.... analytics? services? where?)

Yup, @greg, Analytics is the project, AFAIK.

Nuria added a subscriber: Nuria.Dec 2 2015, 4:33 PM

@mobrovac: Shouldn't we create a AQS project if you expect to have other users of the framework besides analytics team?

@mobrovac: Shouldn't we create a AQS project if you expect to have other users of the framework besides analytics team?

Not sure there's a need for that @Nuria. It mostly depends on whether you guys want to create a new project for it to separate it from general Analytics concerns. But there will be only one AQS. (Well, technically two, one in BetaCluster one in prod, but that's for testing and integration purposes).

(Off-topic-ish: There's no AQS project in Phab? Do all development tasks for it live in.... analytics? services? where?)

Yup, @greg, Analytics is the project, AFAIK.

The project is actually: Analytics-Backlog :)

Milimetric moved this task from Incoming to Prioritized on the Analytics board.Dec 7 2015, 6:08 PM
Milimetric moved this task from Incoming to Radar on the Analytics-Backlog board.Dec 14 2015, 6:42 PM
greg edited projects, added scap2; removed Deployment-Systems.Feb 9 2016, 11:33 PM
dduvall moved this task from Services improvements to Adoption on the Scap board.Feb 12 2016, 7:09 PM
greg reopened this task as Open.
greg added a comment.Feb 22 2016, 4:48 PM

I reopened this as it is a tracking task for, uh, deploying aqs with scap3 :) The one that it was merged with was not about that.

thcipriani closed this task as Resolved.Mar 3 2016, 6:12 PM

AQS is deployed currently with scap3 in prod